import request from '@/config/axios'

export const getMenuTree = params => request.post({ url: '/menuInterface/getMenuTree', params }) // 查询菜单
export const addMenu = data => request.post({ url: '/menuInterface/addMenu', data }) // 新增菜单
export const updateMenuById = data => request.post({ url: '/menuInterface/updateMenuById', data }) //修改菜单
export const deleteMenuById = id => request.post({ url: '/menuInterface/deleteMenuById?id=' + id }) //删除菜单
export const setModuleId = params => request.post({ url: '/menuInterface/setModuleId',params }) //关联模块